# Uses of Enum Class
org.benf.cfr.reader.api.OutputSinkFactory.SinkType

- ## Uses of OutputSinkFactory.SinkType in org.benf.cfr.reader.api

  Methods in org.benf.cfr.reader.api that return OutputSinkFactory.SinkType
  Modifier and Type
  Method
  Description
  `static OutputSinkFactory.SinkType`
  OutputSinkFactory.SinkType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OutputSinkFactory.SinkType[]`
  OutputSinkFactory.SinkType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.benf.cfr.reader.api with parameters of type OutputSinkFactory.SinkType
  Modifier and Type
  Method
  Description
  `<T> OutputSinkFactory.Sink<T>`
  OutputSinkFactory.`getSink(OutputSinkFactory.SinkType sinkType, OutputSinkFactory.SinkClass sinkClass)`
  CFR wishes to sink output - return an implementation of Sink that takes the appropriate input for the SinkClass being sunk, or null.
  `List<OutputSinkFactory.SinkClass>`
  OutputSinkFactory.`getSupportedSinks(OutputSinkFactory.SinkType sinkType, Collection<OutputSinkFactory.SinkClass> available)`
  Return the classes of sink that this sink factory can provide for the given sink type.